% CARTEMONDE trace les contours des continents

%+
%
% .. _cartemonde.m:
%
% ============
% cartemonde.m
% ============
%
% ---------------------------------
% trace les contours des continents
% ---------------------------------
%
% DESCRIPTION
% ===========
%
% trace les contours des continents.
%
% Data of continents and borders are in :file:`monde.mat`.
%
% A appeler  la fin de votre programme
%
% Ajuster la fenetre spatiale au besoin avec la
%  fonction AXIS([longmin longmax latmin latmax])
%
% EXAMPLES
% ========
%
% ::
%
% >> ............ (dbut de votre programme)
% >> cartemonde;
% >> axis ([40 100 0 50]);
%
% SEE ALSO
% ========
%
% :ref:`cartemonde1.m`
%
% TODO
% ====
%
% update borders or replace usage of this module by one provided by matlab
%
% add path to monde.mat
%
% EVOLUTIONS
% ==========
%
% $Id$
%
%-
% chargement fond carte
% (contenu : conti, npconti, fronti, npfronti)

status=load('monde.mat','conti','npconti');
conti=status.conti;
npconti=status.npconti;
clear status;

% trace fond de carte continents
[nll,ncc]=size(npconti);
aa=1;
bb=0;
hold on;
for qi=1:nll,
  aa=aa+bb;
  cc=npconti(qi)+(aa-1);
       cco=plot (conti(aa:cc,1),conti(aa:cc,2),'k');
       set (cco,'LineWidth',1);          % default=0.5;
  bb=npconti(qi);
end
