C
C+
C
C .. _forfilter.f:
C
C ===========
C forfilter.f
C ===========
C
C DESCRIPTION
C ===========
C
C filtre kiser ++
C
C EXAMPLES
C ========
C
C SEE ALSO
C ========
C
C :ref:`progfiltrage_simulation.F90`
C
C TODO
C ====
C
C improve comments
C
C add IMPLICIT NONE
C
C find bibliographical reference
C
C f90 module
C
C 2 subroutines so 2 ReSt blocks and 2 files .rst
C
C EVOLUTIONS
C ==========
C
C $Id$
C
C - fplod 2009-02-10T11:11:33Z aedon.locean-ipsl.upmc.fr (Darwin)
C
C   * replace FLOAT use by generic function REAL
C
C - fplod 2009-02-03T09:21:30Z aedon.locean-ipsl.upmc.fr (Darwin)
C
C    * creation form SIMUL_IRCAAM/progfiltrage_10_30.f
C    * Comments in ReST
C
C-
C
      SUBROUTINE FILTRE(F,F1,PERIO,N)

      IMPLICIT NONE

      INTEGER, PARAMETER :: KOR = 4
      INTEGER, PARAMETER :: JOR = 4
      INTEGER, PARAMETER :: MOR = 50

      INTEGER, INTENT(IN) :: N
      REAL, INTENT(IN), DIMENSION(N) :: F
      REAL :: W(-mor:mor)
      REAL :: G(-mor:mor)
      REAL, INTENT(OUT) :: F1(N)
      REAL, INTENT(IN) :: PERIO

      INTEGER :: I
      INTEGER :: K
      INTEGER :: L1
      INTEGER :: L2

      REAL :: FC
      REAL :: AT
      REAL :: PI

      PI=ACOS(-1.)
      FC=1./PERIO
      CALL KISER(G,MOR)
      DO 1 I=-MOR,MOR
      IF (I.EQ.0) THEN
      W(I)=2.*FC
      ELSE
      W(I)=SIN(2.*PI*FC*REAL(I))/(PI*REAL(I))*G(I)
      ENDIF
   1  CONTINUE

      DO 2 I=1,N
      F1(I)=0.
      AT=0.

      IF(I.LE.KOR) THEN
      L1=-KOR
      L2=I-1
      ENDIF

      IF((I.GE.KOR+1).AND.(I.LE.MOR)) THEN
      L1=-I+1
      L2=I-1
      ENDIF

      IF((I.GE.MOR+1).AND.(I.LE.N-MOR)) THEN
      L1=-MOR
      L2=MOR
      ENDIF

      IF((I.GE.N-MOR+1).AND.(I.LE.N-JOR)) THEN
      L1=-N+I
      L2=N-I
      ENDIF

      IF(I.GE.N-JOR+1) THEN
      L1=-N+I
      L2=JOR
      ENDIF

      DO 3 K=L1,L2
      F1(I)=F1(I)+W(K)*F(I-K)
      AT=AT+W(K)
   3  CONTINUE
      F1(I)=F1(I)/AT
   2  CONTINUE

      RETURN
      END

      SUBROUTINE KISER(W,MOR)
C
      IMPLICIT NONE

      INTEGER, INTENT(IN) :: MOR
      INTEGER, PARAMETER :: LOR = 100
      REAL, INTENT(INOUT), DIMENSION(-MOR:MOR) :: W
      REAL CO(-LOR:LOR)

      REAL :: A
      REAL :: AS
      REAL :: AS1
      REAL :: AU
      REAL :: AU1
      REAL :: ALPHA
      INTEGER :: I
      INTEGER :: K
      INTEGER :: N

      A=30.

      IF(A.LE.21.) THEN
      ALPHA=0.
      ENDIF

      IF((A.LT.50.).AND.(A.GT.21.)) THEN
      ALPHA=0.5842*(A-21.)**0.4+0.07886*(A-21.)
      ENDIF

      IF(A.GE.50.) THEN
      ALPHA=0.1102*(A-8.7)
      ENDIF

      DO 2 I=-MOR,MOR
      CO(I)=ALPHA*SQRT(1.-(REAL(I)/REAL(MOR))**2)

      N=0
      AS=1.
      AU=1.
      AS1=1.
      AU1=1.

      DO 10 K=1,200
      N=N+1

      AU=AU*((CO(I)/2.)/FLOAT(N))**2
      AS=AS+AU

      AU1=AU1*((ALPHA/2.)/FLOAT(N))**2
      AS1=AS1+AU1
  10  CONTINUE
      W(I)=AS/AS1
   2  CONTINUE
      RETURN
      END
