function composite_olr_phase()
% composite_olr_phase ++
%+
%
% .. _composite_olr_phase.m:
%
% =====================
% composite_olr_phase.m
% =====================
%
% ++
%
% DESCRIPTION
% ===========
%
% From :file:`olr.day.mean.nc`, composite_olr_phase compute ++, 
% roduce ++ and plot ++
% 2 Postscript files :file:`time_serie_type_tps_phase14.eps` and 
% :file:`time_serie_type_tps_phase58.eps` are written.
%
% CAUTIONS
% ========
%
% By heritage of :ref:`composite_olr_phase_num.m` :
%
% Need Statistics_Toolbox because of nanmean
%
% can't work with octave because of ncload and nanmean
%
%
% EXAMPLES
% ========
%
% ::
%
% >> composite_olr_phase();
%
% SEE ALSO
% ========
%
% :ref:`lagged_correlations_eof2_eof3_1030.m`
%
% :ref:`composite_olr_phase_num.m`
%
% :ref:`time_serie_histog_phase.m`
%
% :ref:`time_serie_histog_phase_num.m`
%
% TODO
% ====
%
% improve description
%
% improve file pb
%
% use return function
%
% By heritage of :ref:`composite_olr_phase_num.m` :
%
% test at the beginning if Statistics_Toolbox  available
%
% test at the beginning if octave is running
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% - fplod 2009-01-28T09:35:17Z aedon.locean-ipsl.upmc.fr (Darwin)
%  
%   * replace calls to composite_olr_phase[1-8] by calls to
%     composite_olr_phase_num
%   * add comments in ReST
%
%-
close all;

global IRCAAM_OD;

figure(1);
orient('landscape');
phase_num=1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);


figure(2);
orient('landscape');
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);
phase_num=phase_num+1;
subplot(4,1,mod(phase_num-1,4)+1);
composite_olr_phase_num(phase_num);
title=['Phase', int2str(phase_num)];
text(-240,10,title);

clear phase_num;

figure(1);
fullfilename=[IRCAAM_OD,'composite_olr_phase_14.eps'];
print('-depsc2',fullfilename);
clear fullfilename;

figure(2);
fullfilename=[IRCAAM_OD,'composite_olr_phase_58.eps'];
print('-depsc2',fullfilename);
clear fullfilename;
