function time_serie_histog_phase()
% time_serie_histog_phase plot WTs distribution++
%+
%
%  .. _time_serie_histog_phase.m:
%
% =========================
% time_serie_histog_phase.m
% =========================
%
% ++
%
% DESCRIPTION
% ===========
%
% From :file:`occu.txt` and :file:`phase[1-8].txt`, time_serie_histog_phase plots
% for each WT and each phase distribution ++.
% 2 Postscript files :file:`time_serie_type_tps_phase14.eps` and 
% :file:`time_serie_type_tps_phase58.eps` are written.
%
% EXAMPLES
% ========
%
% ::
%
% >> time_serie_histog_phase();
%
% SEE ALSO
% ========
%
% :ref:`lagged_correlations_eof2_eof3_1030.m`
%
% :ref:`composite_olr_phase.m`
%
% :ref:`composite_olr_phase_num.m`
%
% :ref:`time_serie_histog_phase_num.m`
%
% TODO
% ====
%
% improve description
%
% improve file pb
%
% use return function
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% - fplod 2009-01-28T09:35:17Z aedon.locean-ipsl.upmc.fr (Darwin)
%   
%   * replace calls to time_serie_histog_phase[1-8] by calls to
%     time_serie_histog_phase_num
%   * add comments in ReST
%   * EPS files in IRCAAM_OD
%-

global IRCAAM_OD;

close all;
figure(1);
orient('landscape')
phase_num=1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)

figure(2);
orient('landscape')
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)
phase_num=phase_num+1;
time_serie_histog_phase_num(phase_num)

clear phase_num:

figure(1);
fullfilename=[IRCAAM_OD,'time_serie_type_tps_phase14.eps'];
print('-depsc2',fullfilename);
clear fullfilename;

figure(2);
fullfilename=[IRCAAM_OD,'time_serie_type_tps_phase58.eps'];
print('-depsc2',fullfilename);
clear fullfilename;
